mirror of https://lore.kernel.org/lkml/
 help / color / mirror / Atom feed
* [PATCH] scripts/tags.sh: Fix the Kconfig tags generation when using latest ctags
@ 2022-12-29  5:54 Kevin Hao
  2022-12-29 12:33 ` Cristian Ciocaltea
  0 siblings, 1 reply; 3+ messages in thread
From: Kevin Hao @ 2022-12-29  5:54 UTC (permalink / raw)
  To: linux-kernel; +Cc: Greg Kroah-Hartman, Cristian Ciocaltea, Vipin Sharma

The Kconfig language has already been built-in in the latest ctags, so
it would error exit if we try to define it as an user-defined language
via '--langdef=kconfig'. This results that there is no Kconfig tags in
the final tag file. Fix this by skipping the user Kconfig definition for
the latest ctags.

Signed-off-by: Kevin Hao <haokexin@gmail.com>
---
 scripts/tags.sh | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/scripts/tags.sh b/scripts/tags.sh
index e137cf15aae9..c56b13ae3fdf 100755
--- a/scripts/tags.sh
+++ b/scripts/tags.sh
@@ -264,10 +264,12 @@ exuberant()
 	--$CTAGS_EXTRA=+fq --c-kinds=+px --fields=+iaS --langmap=c:+.h \
 	"${regex[@]}"
 
-	setup_regex exuberant kconfig
-	all_kconfigs | xargs $1 -a                              \
-	--langdef=kconfig --language-force=kconfig "${regex[@]}"
-
+	KCONFIG_ARGS=""
+	if ! $1 --list-languages | grep -iq kconfig; then
+		setup_regex exuberant kconfig
+		KCONFIG_ARGS="--langdef=kconfig --language-force=kconfig ${regex[@]}"
+	fi
+	all_kconfigs | xargs $1 -a $KCONFIG_ARGS
 }
 
 emacs()
-- 
2.38.1


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2022-12-30  2:56 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-12-29  5:54 [PATCH] scripts/tags.sh: Fix the Kconfig tags generation when using latest ctags Kevin Hao
2022-12-29 12:33 ` Cristian Ciocaltea
2022-12-30  2:56   ` Kevin Hao

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox

all inboxes | Powered by JetHome®